title: Signal Quality
type: community
group: Time Series Analysis
image: /static/templates/signal-quality.png
details: |
  <h1>Rate signal quality</h1>
  <dl>
    <dt>Industry Applications</dt>
    <dd>Industrial equipment, medical device monitoring, telecommunications, audio signal processing, vibration analysis, environmental monitoring, power systems, automotive diagnostics, aerospace, manufacturing quality control, predictive maintenance, IoT sensor monitoring</dd>
    <dt>Associated Models</dt>
    <dd>signal-to-noise ratio, data quality assessment, sensor validation, signal integrity</dd>
    <dt>Domain Terminology</dt>
    <dd>CSV, Excel, XLS, Sheet, signal degradation, noise detection, data reliability, measurement quality, sensor calibration</dd>
  </dl>
config: |
  <View>
      <!-- No region selected section -->
      <View visibleWhen="no-region-selected"
            style="height:120px">

          <!-- Control tag for region labels -->
          <TimeSeriesLabels name="label" toName="ts">
              <Label value="Region" background="#5b5"/>
          </TimeSeriesLabels>
      </View>

      <!-- Region selected section with choices and rating -->
      <View visibleWhen="region-selected" style="height:120px">

          <!-- Per region Rating -->
          <Rating name="rating" toName="ts"
                  maxRating="10" icon="star"
                  perRegion="true"/>
          <!-- Per region Choices  -->
          <Choices name="choices" toName="ts"
                   showInline="true" required="true"
                   perRegion="true">
              <Choice value="Good"/>
              <Choice value="Medium"/>
              <Choice value="Poor"/>
          </Choices>
      </View>

      <!-- Object tag for time series data source -->
      <TimeSeries name="ts" valueType="url" value="$csv"
                  sep="," timeColumn="time">
          <Channel column="signal_1"
                   strokeColor="#17b" legend="Signal 1"/>
          <Channel column="signal_2"
                   strokeColor="#f70" legend="Signal 2"/>
      </TimeSeries>
  </View>

